package com.bohuikeji.frame.module.admin.component;


import com.bohuikeji.frame.module.admin.utils.LocalHostUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * 启动检测类
 */
@Slf4j
@Component
public class ApplicationRunnerImpl implements ApplicationRunner {
    @Override
    public void run(ApplicationArguments args) throws Exception {
        log.error("实例：{}:{}，启动成功，执行参数：", LocalHostUtil.getHostName(),LocalHostUtil.getLocalIP());
        for(String arg:args.getSourceArgs()){
         log.error(arg);
        }
    }
}
